# class Resolv::DNS::Resource::TXT

Unstructured text resource.

### Attributes

strings [R]

Returns an `Array` of Strings for this `TXT` record.

### Public Class Methods

new (first_string, *rest_strings)
Source

    # File lib/resolv.rb, line 2431
    def initialize(first_string, *rest_strings)
      @strings = [first_string, *rest_strings]
    end

### Public Instance Methods

data ()
Source

    # File lib/resolv.rb, line 2443
    def data
      @strings.join("")
    end

Returns the concatenated string from `strings`.